import { AxiosStatic, AxiosInstance } from 'axios';
import LRU from 'lru-cache';
export declare const defaultSettings: {
    cache: LRU<string, any>;
    axios: AxiosStatic | AxiosInstance;
    clientCacheVar: string;
    maxRequests: number;
    withLoading: boolean;
    deleteAfterLoading: boolean;
    renderSSR: Function;
    isSSR: Function;
    debug: boolean;
};
export declare const ACTIONS: {
    REQUEST_START: string;
    REQUEST_END: string;
};
export declare const initState: {
    loading: boolean;
    $cacheKey: string;
};
export declare const configure: (context: import("./typings").CustomContext) => import("./typings").Context;
export declare function axiosAll(context: ReactUseApi.Context, config: ReactUseApi.Config): Promise<ReactUseApi.ApiResponse>;
export declare function axiosAll(context: ReactUseApi.Context, config: ReactUseApi.MultiConfigs): Promise<ReactUseApi.ApiResponse[]>;
export declare const tidyResponse: (response: import("axios").AxiosResponse<import("./typings").JsonObject>) => import("axios").AxiosResponse<import("./typings").JsonObject>;
export declare const getResponseData: (options: import("./typings").Options, state: import("./typings").State) => import("./typings").JsonObject;
export declare const isObject: (target: any) => boolean;
export declare const isFunction: (target: any) => boolean;
export declare const isNil: (value: any) => boolean;
